cURL
curl --request GET \
--url https://api.lomadee.com.br/affiliate/orders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.lomadee.com.br/affiliate/orders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lomadee.com.br/affiliate/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "<string>",
"orderId": "<string>",
"status": "pending",
"value": 123,
"createdAt": "<string>",
"commission": 123,
"commissionStatus": "pending",
"items ": [
{
"id": "<string>",
"name": "<string>",
"quantity": 123,
"price": 123,
"categories": 123
}
],
"organizationId": "<string>",
"mdasc": "<string>"
},
"meta": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}
}
],
"meta": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}
}{
"message": "<string>",
"error": "<string>",
"statusCode": 123
}{
"success": false,
"message": "<string>",
"code": "<string>"
}{
"success": false,
"message": "<string>",
"code": "<string>"
}{
"success": false,
"message": "<string>",
"code": "<string>"
}Orders
Get all Orders
Returns all orders from the system that the user has access to
GET
/
affiliate
/
orders
cURL
Get all Orders
Returns paginated orders for the authenticated affiliate. Requires scopeorders:read.
HTTP Request
GET https://api-beta.lomadee.com.br/affiliate/orders
Query Parameters
| Parameter | Type | Description |
|---|---|---|
page | integer | Page number (default 1) |
limit | integer | Items per page (default 10, max 100) |
organizationId | string | Filter by brand UUID |
organizationIds | string | Comma-separated brand UUIDs |
mdasc | boolean/string | Filter by additional identifier |
from | date | Start date (use with to) |
to | date | End date (use with from) |
Response
{
"data": [],
"meta": {
"total": 0,
"page": 1,
"limit": 10,
"totalPages": 0
}
}
Example
curl -X GET "https://api-beta.lomadee.com.br/affiliate/orders?page=1&limit=10" \
-H "x-api-key: your-api-key"
Authorizations
Query Parameters
The maximum number of results to return
The page number to return
The organization id to return orders from
The organization ids to return orders from
This parameter is used to filter orders by additional identifier. Return all orders has this identifier if set to true.
The start date of the period to return orders from
The end date of the period to return orders from